## org.eclipse.datatools.modelbase.sql.routines.impl
Class SQLRoutinesPackageImpl

    java.lang.Object
      EPackageImpl
          org.eclipse.datatools.modelbase.sql.routines.impl.SQLRoutinesPackageImpl

All Implemented Interfaces:
  SQLRoutinesPackage

public class SQLRoutinesPackageImpl
extends EPackageImpl
implements SQLRoutinesPackage

An implementation of the model Package.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.eclipse.datatools.modelbase.sql.routines.SQLRoutinesPackage
`SQLRoutinesPackage.Literals`

Field Summary

Fields inherited from interface org.eclipse.datatools.modelbase.sql.routines.SQLRoutinesPackage

`BUILT_IN_FUNCTION, BUILT_IN_FUNCTION__AUTHORIZATION_ID, BUILT_IN_FUNCTION__COMMENTS, BUILT_IN_FUNCTION__CREATION_TS, BUILT_IN_FUNCTION__DEPENDENCIES, BUILT_IN_FUNCTION__DESCRIPTION, BUILT_IN_FUNCTION__DETERMINISTIC, BUILT_IN_FUNCTION__EANNOTATIONS, BUILT_IN_FUNCTION__EXTERNAL_NAME, BUILT_IN_FUNCTION__LABEL, BUILT_IN_FUNCTION__LANGUAGE, BUILT_IN_FUNCTION__LAST_ALTERED_TS, BUILT_IN_FUNCTION__MUTATOR, BUILT_IN_FUNCTION__NAME, BUILT_IN_FUNCTION__NULL_CALL, BUILT_IN_FUNCTION__PARAMETER_STYLE, BUILT_IN_FUNCTION__PARAMETERS, BUILT_IN_FUNCTION__PRIVILEGES, BUILT_IN_FUNCTION__RETURN_CAST, BUILT_IN_FUNCTION__RETURN_SCALAR, BUILT_IN_FUNCTION__RETURN_TABLE, BUILT_IN_FUNCTION__SCHEMA, BUILT_IN_FUNCTION__SECURITY, BUILT_IN_FUNCTION__SOURCE, BUILT_IN_FUNCTION__SPECIFIC_NAME, BUILT_IN_FUNCTION__SQL_DATA_ACCESS, BUILT_IN_FUNCTION__STATIC, BUILT_IN_FUNCTION__TRANSFORM_GROUP, BUILT_IN_FUNCTION__TYPE_PRESERVING, BUILT_IN_FUNCTION_FEATURE_COUNT, DATA_ACCESS, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, FUNCTION, FUNCTION__AUTHORIZATION_ID, FUNCTION__COMMENTS, FUNCTION__CREATION_TS, FUNCTION__DEPENDENCIES, FUNCTION__DESCRIPTION, FUNCTION__DETERMINISTIC, FUNCTION__EANNOTATIONS, FUNCTION__EXTERNAL_NAME, FUNCTION__LABEL, FUNCTION__LANGUAGE, FUNCTION__LAST_ALTERED_TS, FUNCTION__MUTATOR, FUNCTION__NAME, FUNCTION__NULL_CALL, FUNCTION__PARAMETER_STYLE, FUNCTION__PARAMETERS, FUNCTION__PRIVILEGES, FUNCTION__RETURN_CAST, FUNCTION__RETURN_SCALAR, FUNCTION__RETURN_TABLE, FUNCTION__SCHEMA, FUNCTION__SECURITY, FUNCTION__SOURCE, FUNCTION__SPECIFIC_NAME, FUNCTION__SQL_DATA_ACCESS, FUNCTION__STATIC, FUNCTION__TRANSFORM_GROUP, FUNCTION__TYPE_PRESERVING, FUNCTION_FEATURE_COUNT, METHOD, METHOD__AUTHORIZATION_ID, METHOD__COMMENTS, METHOD__CONSTRUCTOR, METHOD__CREATION_TS, METHOD__DEPENDENCIES, METHOD__DESCRIPTION, METHOD__DETERMINISTIC, METHOD__EANNOTATIONS, METHOD__EXTERNAL_NAME, METHOD__LABEL, METHOD__LANGUAGE, METHOD__LAST_ALTERED_TS, METHOD__MUTATOR, METHOD__NAME, METHOD__NULL_CALL, METHOD__OVERRIDING, METHOD__PARAMETER_STYLE, METHOD__PARAMETERS, METHOD__PRIVILEGES, METHOD__RETURN_CAST, METHOD__RETURN_SCALAR, METHOD__RETURN_TABLE, METHOD__SCHEMA, METHOD__SECURITY, METHOD__SOURCE, METHOD__SPECIFIC_NAME, METHOD__SQL_DATA_ACCESS, METHOD__STATIC, METHOD__TRANSFORM_GROUP, METHOD__TYPE_PRESERVING, METHOD_FEATURE_COUNT, PARAMETER, PARAMETER__COMMENTS, PARAMETER__CONTAINED_TYPE, PARAMETER__DEPENDENCIES, PARAMETER__DESCRIPTION, PARAMETER__EANNOTATIONS, PARAMETER__LABEL, PARAMETER__LOCATOR, PARAMETER__MODE, PARAMETER__NAME, PARAMETER__PRIVILEGES, PARAMETER__REFERENCED_TYPE, PARAMETER__ROUTINE, PARAMETER__STRING_TYPE_OPTION, PARAMETER_FEATURE_COUNT, PARAMETER_MODE, PROCEDURE, PROCEDURE__AUTHORIZATION_ID, PROCEDURE__COMMENTS, PROCEDURE__CREATION_TS, PROCEDURE__DEPENDENCIES, PROCEDURE__DESCRIPTION, PROCEDURE__DETERMINISTIC, PROCEDURE__EANNOTATIONS, PROCEDURE__EXTERNAL_NAME, PROCEDURE__LABEL, PROCEDURE__LANGUAGE, PROCEDURE__LAST_ALTERED_TS, PROCEDURE__MAX_RESULT_SETS, PROCEDURE__NAME, PROCEDURE__OLD_SAVE_POINT, PROCEDURE__PARAMETER_STYLE, PROCEDURE__PARAMETERS, PROCEDURE__PRIVILEGES, PROCEDURE__RESULT_SET, PROCEDURE__SCHEMA, PROCEDURE__SECURITY, PROCEDURE__SOURCE, PROCEDURE__SPECIFIC_NAME, PROCEDURE__SQL_DATA_ACCESS, PROCEDURE_FEATURE_COUNT, ROUTINE, ROUTINE__AUTHORIZATION_ID, ROUTINE__COMMENTS, ROUTINE__CREATION_TS, ROUTINE__DEPENDENCIES, ROUTINE__DESCRIPTION, ROUTINE__DETERMINISTIC, ROUTINE__EANNOTATIONS, ROUTINE__EXTERNAL_NAME, ROUTINE__LABEL, ROUTINE__LANGUAGE, ROUTINE__LAST_ALTERED_TS, ROUTINE__NAME, ROUTINE__PARAMETER_STYLE, ROUTINE__PARAMETERS, ROUTINE__PRIVILEGES, ROUTINE__SCHEMA, ROUTINE__SECURITY, ROUTINE__SOURCE, ROUTINE__SPECIFIC_NAME, ROUTINE__SQL_DATA_ACCESS, ROUTINE_FEATURE_COUNT, ROUTINE_RESULT_TABLE, ROUTINE_RESULT_TABLE__COLUMNS, ROUTINE_RESULT_TABLE__COMMENTS, ROUTINE_RESULT_TABLE__DEPENDENCIES, ROUTINE_RESULT_TABLE__DESCRIPTION, ROUTINE_RESULT_TABLE__EANNOTATIONS, ROUTINE_RESULT_TABLE__INDEX, ROUTINE_RESULT_TABLE__INSERTABLE, ROUTINE_RESULT_TABLE__LABEL, ROUTINE_RESULT_TABLE__NAME, ROUTINE_RESULT_TABLE__PRIVILEGES, ROUTINE_RESULT_TABLE__SCHEMA, ROUTINE_RESULT_TABLE__SELF_REF_COLUMN_GENERATION, ROUTINE_RESULT_TABLE__SUBTABLES, ROUTINE_RESULT_TABLE__SUPERTABLE, ROUTINE_RESULT_TABLE__TRIGGERS, ROUTINE_RESULT_TABLE__UDT, ROUTINE_RESULT_TABLE__UPDATABLE, ROUTINE_RESULT_TABLE_FEATURE_COUNT, SOURCE, SOURCE__BODY, SOURCE__COMMENTS, SOURCE__DEPENDENCIES, SOURCE__DESCRIPTION, SOURCE__EANNOTATIONS, SOURCE__LABEL, SOURCE__NAME, SOURCE__PRIVILEGES, SOURCE_FEATURE_COUNT, USER_DEFINED_FUNCTION, USER_DEFINED_FUNCTION__AUTHORIZATION_ID, USER_DEFINED_FUNCTION__COMMENTS, USER_DEFINED_FUNCTION__CREATION_TS, USER_DEFINED_FUNCTION__DEPENDENCIES, USER_DEFINED_FUNCTION__DESCRIPTION, USER_DEFINED_FUNCTION__DETERMINISTIC, USER_DEFINED_FUNCTION__EANNOTATIONS, USER_DEFINED_FUNCTION__EXTERNAL_NAME, USER_DEFINED_FUNCTION__LABEL, USER_DEFINED_FUNCTION__LANGUAGE, USER_DEFINED_FUNCTION__LAST_ALTERED_TS, USER_DEFINED_FUNCTION__MUTATOR, USER_DEFINED_FUNCTION__NAME, USER_DEFINED_FUNCTION__NULL_CALL, USER_DEFINED_FUNCTION__PARAMETER_STYLE, USER_DEFINED_FUNCTION__PARAMETERS, USER_DEFINED_FUNCTION__PRIVILEGES, USER_DEFINED_FUNCTION__RETURN_CAST, USER_DEFINED_FUNCTION__RETURN_SCALAR, USER_DEFINED_FUNCTION__RETURN_TABLE, USER_DEFINED_FUNCTION__SCHEMA, USER_DEFINED_FUNCTION__SECURITY, USER_DEFINED_FUNCTION__SOURCE, USER_DEFINED_FUNCTION__SPECIFIC_NAME, USER_DEFINED_FUNCTION__SQL_DATA_ACCESS, USER_DEFINED_FUNCTION__STATIC, USER_DEFINED_FUNCTION__TRANSFORM_GROUP, USER_DEFINED_FUNCTION__TYPE_PRESERVING, USER_DEFINED_FUNCTION_FEATURE_COUNT`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EClass` `getBuiltInFunction()`
`EEnum` `getDataAccess()`
`EAttribute` `getFunction_Mutator()`
`EAttribute` `getFunction_NullCall()`
`EReference` `getFunction_ReturnCast()`
`EReference` `getFunction_ReturnScalar()`
`EReference` `getFunction_ReturnTable()`
`EAttribute` `getFunction_Static()`
`EAttribute` `getFunction_TransformGroup()`
`EAttribute` `getFunction_TypePreserving()`
`EClass` `getFunction()`
`EAttribute` `getMethod_Constructor()`
`EAttribute` `getMethod_Overriding()`
`EClass` `getMethod()`
`EAttribute` `getParameter_Locator()`
`EAttribute` `getParameter_Mode()`
`EReference` `getParameter_Routine()`
`EReference` `getParameter_StringTypeOption()`
`EClass` `getParameter()`
`EEnum` `getParameterMode()`
`EAttribute` `getProcedure_MaxResultSets()`
`EAttribute` `getProcedure_OldSavePoint()`
`EReference` `getProcedure_ResultSet()`
`EClass` `getProcedure()`
`EAttribute` `getRoutine_AuthorizationID()`
`EAttribute` `getRoutine_CreationTS()`
`EAttribute` `getRoutine_Deterministic()`
`EAttribute` `getRoutine_ExternalName()`
`EAttribute` `getRoutine_Language()`
`EAttribute` `getRoutine_LastAlteredTS()`
`EReference` `getRoutine_Parameters()`
`EAttribute` `getRoutine_ParameterStyle()`
`EReference` `getRoutine_Schema()`
`EAttribute` `getRoutine_Security()`
`EReference` `getRoutine_Source()`
`EAttribute` `getRoutine_SpecificName()`
`EAttribute` `getRoutine_SqlDataAccess()`
`EClass` `getRoutine()`
`EClass` `getRoutineResultTable()`
`EAttribute` `getSource_Body()`
`EClass` `getSource()`
`SQLRoutinesFactory` `getSQLRoutinesFactory()`
`EClass` `getUserDefinedFunction()`
`static SQLRoutinesPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public static SQLRoutinesPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `SQLRoutinesPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getRoutine

    public EClass getRoutine()

  Specified by:
    `getRoutine` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for class 'Routine'.
  See Also:
    `Routine`

### getRoutine_SpecificName

    public EAttribute getRoutine_SpecificName()

  Specified by:
    `getRoutine_SpecificName` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'Specific Name'.
  See Also:
    `Routine.getSpecificName()`, `SQLRoutinesPackage.getRoutine()`

### getRoutine_Language

    public EAttribute getRoutine_Language()

  Specified by:
    `getRoutine_Language` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'Language'.
  See Also:
    `Routine.getLanguage()`, `SQLRoutinesPackage.getRoutine()`

### getRoutine_ParameterStyle

    public EAttribute getRoutine_ParameterStyle()

  Specified by:
    `getRoutine_ParameterStyle` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'Parameter Style'.
  See Also:
    `Routine.getParameterStyle()`, `SQLRoutinesPackage.getRoutine()`

### getRoutine_Deterministic

    public EAttribute getRoutine_Deterministic()

  Specified by:
    `getRoutine_Deterministic` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'Deterministic'.
  See Also:
    `Routine.isDeterministic()`, `SQLRoutinesPackage.getRoutine()`

### getRoutine_SqlDataAccess

    public EAttribute getRoutine_SqlDataAccess()

  Specified by:
    `getRoutine_SqlDataAccess` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'Sql Data Access'.
  See Also:
    `Routine.getSqlDataAccess()`, `SQLRoutinesPackage.getRoutine()`

### getRoutine_CreationTS

    public EAttribute getRoutine_CreationTS()

  Specified by:
    `getRoutine_CreationTS` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'Creation TS'.
  See Also:
    `Routine.getCreationTS()`, `SQLRoutinesPackage.getRoutine()`

### getRoutine_LastAlteredTS

    public EAttribute getRoutine_LastAlteredTS()

  Specified by:
    `getRoutine_LastAlteredTS` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'Last Altered TS'.
  See Also:
    `Routine.getLastAlteredTS()`, `SQLRoutinesPackage.getRoutine()`

### getRoutine_AuthorizationID

    public EAttribute getRoutine_AuthorizationID()

  Specified by:
    `getRoutine_AuthorizationID` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'Authorization ID'.
  See Also:
    `Routine.getAuthorizationID()`, `SQLRoutinesPackage.getRoutine()`

### getRoutine_Security

    public EAttribute getRoutine_Security()

  Specified by:
    `getRoutine_Security` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'Security'.
  See Also:
    `Routine.getSecurity()`, `SQLRoutinesPackage.getRoutine()`

### getRoutine_ExternalName

    public EAttribute getRoutine_ExternalName()

  Specified by:
    `getRoutine_ExternalName` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'External Name'.
  See Also:
    `Routine.getExternalName()`, `SQLRoutinesPackage.getRoutine()`

### getRoutine_Parameters

    public EReference getRoutine_Parameters()

  Specified by:
    `getRoutine_Parameters` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the containment reference list 'Parameters'.
  See Also:
    `Routine.getParameters()`, `SQLRoutinesPackage.getRoutine()`

### getRoutine_Source

    public EReference getRoutine_Source()

  Specified by:
    `getRoutine_Source` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the containment reference 'Source'.
  See Also:
    `Routine.getSource()`, `SQLRoutinesPackage.getRoutine()`

### getRoutine_Schema

    public EReference getRoutine_Schema()

  Specified by:
    `getRoutine_Schema` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `Routine.getSchema()`, `SQLRoutinesPackage.getRoutine()`

### getSource

    public EClass getSource()

  Specified by:
    `getSource` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for class 'Source'.
  See Also:
    `Source`

### getSource_Body

    public EAttribute getSource_Body()

  Specified by:
    `getSource_Body` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'Body'.
  See Also:
    `Source.getBody()`, `SQLRoutinesPackage.getSource()`

### getParameter

    public EClass getParameter()

  Specified by:
    `getParameter` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for class 'Parameter'.
  See Also:
    `Parameter`

### getParameter_Mode

    public EAttribute getParameter_Mode()

  Specified by:
    `getParameter_Mode` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'Mode'.
  See Also:
    `Parameter.getMode()`, `SQLRoutinesPackage.getParameter()`

### getParameter_Locator

    public EAttribute getParameter_Locator()

  Specified by:
    `getParameter_Locator` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'Locator'.
  See Also:
    `Parameter.isLocator()`, `SQLRoutinesPackage.getParameter()`

### getParameter_Routine

    public EReference getParameter_Routine()

  Specified by:
    `getParameter_Routine` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the container reference 'Routine'.
  See Also:
    `Parameter.getRoutine()`, `SQLRoutinesPackage.getParameter()`

### getParameter_StringTypeOption

    public EReference getParameter_StringTypeOption()

  Specified by:
    `getParameter_StringTypeOption` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the containment reference 'String Type Option'.
  See Also:
    `Parameter.getStringTypeOption()`, `SQLRoutinesPackage.getParameter()`

### getProcedure

    public EClass getProcedure()

  Specified by:
    `getProcedure` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for class 'Procedure'.
  See Also:
    `Procedure`

### getProcedure_MaxResultSets

    public EAttribute getProcedure_MaxResultSets()

  Specified by:
    `getProcedure_MaxResultSets` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'Max Result Sets'.
  See Also:
    `Procedure.getMaxResultSets()`, `SQLRoutinesPackage.getProcedure()`

### getProcedure_OldSavePoint

    public EAttribute getProcedure_OldSavePoint()

  Specified by:
    `getProcedure_OldSavePoint` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'Old Save Point'.
  See Also:
    `Procedure.isOldSavePoint()`, `SQLRoutinesPackage.getProcedure()`

### getProcedure_ResultSet

    public EReference getProcedure_ResultSet()

  Specified by:
    `getProcedure_ResultSet` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the containment reference list 'Result Set'.
  See Also:
    `Procedure.getResultSet()`, `SQLRoutinesPackage.getProcedure()`

### getFunction

    public EClass getFunction()

  Specified by:
    `getFunction` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for class 'Function'.
  See Also:
    `Function`

### getFunction_NullCall

    public EAttribute getFunction_NullCall()

  Specified by:
    `getFunction_NullCall` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'Null Call'.
  See Also:
    `Function.isNullCall()`, `SQLRoutinesPackage.getFunction()`

### getFunction_Static

    public EAttribute getFunction_Static()

  Specified by:
    `getFunction_Static` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'Static'.
  See Also:
    `Function.isStatic()`, `SQLRoutinesPackage.getFunction()`

### getFunction_TransformGroup

    public EAttribute getFunction_TransformGroup()

  Specified by:
    `getFunction_TransformGroup` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'Transform Group'.
  See Also:
    `Function.getTransformGroup()`, `SQLRoutinesPackage.getFunction()`

### getFunction_TypePreserving

    public EAttribute getFunction_TypePreserving()

  Specified by:
    `getFunction_TypePreserving` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'Type Preserving'.
  See Also:
    `Function.isTypePreserving()`, `SQLRoutinesPackage.getFunction()`

### getFunction_Mutator

    public EAttribute getFunction_Mutator()

  Specified by:
    `getFunction_Mutator` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'Mutator'.
  See Also:
    `Function.isMutator()`, `SQLRoutinesPackage.getFunction()`

### getFunction_ReturnTable

    public EReference getFunction_ReturnTable()

  Specified by:
    `getFunction_ReturnTable` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the containment reference 'Return Table'.
  See Also:
    `Function.getReturnTable()`, `SQLRoutinesPackage.getFunction()`

### getFunction_ReturnScalar

    public EReference getFunction_ReturnScalar()

  Specified by:
    `getFunction_ReturnScalar` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the containment reference 'Return Scalar'.
  See Also:
    `Function.getReturnScalar()`, `SQLRoutinesPackage.getFunction()`

### getFunction_ReturnCast

    public EReference getFunction_ReturnCast()

  Specified by:
    `getFunction_ReturnCast` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the containment reference 'Return Cast'.
  See Also:
    `Function.getReturnCast()`, `SQLRoutinesPackage.getFunction()`

### getRoutineResultTable

    public EClass getRoutineResultTable()

  Specified by:
    `getRoutineResultTable` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for class 'Routine Result Table'.
  See Also:
    `RoutineResultTable`

### getMethod

    public EClass getMethod()

  Specified by:
    `getMethod` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for class 'Method'.
  See Also:
    `Method`

### getMethod_Overriding

    public EAttribute getMethod_Overriding()

  Specified by:
    `getMethod_Overriding` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'Overriding'.
  See Also:
    `Method.isOverriding()`, `SQLRoutinesPackage.getMethod()`

### getMethod_Constructor

    public EAttribute getMethod_Constructor()

  Specified by:
    `getMethod_Constructor` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for the attribute 'Constructor'.
  See Also:
    `Method.isConstructor()`, `SQLRoutinesPackage.getMethod()`

### getUserDefinedFunction

    public EClass getUserDefinedFunction()

  Specified by:
    `getUserDefinedFunction` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for class 'User Defined Function'.
  See Also:
    `UserDefinedFunction`

### getBuiltInFunction

    public EClass getBuiltInFunction()

  Specified by:
    `getBuiltInFunction` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for class 'Built In Function'.
  See Also:
    `BuiltInFunction`

### getDataAccess

    public EEnum getDataAccess()

  Specified by:
    `getDataAccess` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for enum 'Data Access'.
  See Also:
    `DataAccess`

### getParameterMode

    public EEnum getParameterMode()

  Specified by:
    `getParameterMode` in interface `SQLRoutinesPackage`
  Returns:
    the meta object for enum 'Parameter Mode'.
  See Also:
    `ParameterMode`

### getSQLRoutinesFactory

    public SQLRoutinesFactory getSQLRoutinesFactory()

  Specified by:
    `getSQLRoutinesFactory` in interface `SQLRoutinesPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.